package com.gic.haoban.manage.service.dao.mapper.hm;

import com.gic.haoban.manage.service.entity.hm.TabHaobanHmClerkRelation;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 多人活码(TabHaobanHmClerkRelation)表数据库访问层
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public interface TabHaobanHmClerkRelationMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param relationId 主键
     * @return 实例对象
     */
    TabHaobanHmClerkRelation queryById(Long relationId);

    /**
     * 查询指定行数据
     *
     * @param tabHaobanHmClerkRelation 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<TabHaobanHmClerkRelation> queryAllByLimit(TabHaobanHmClerkRelation tabHaobanHmClerkRelation, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param tabHaobanHmClerkRelation 查询条件
     * @return 总行数
     */
    long count(TabHaobanHmClerkRelation tabHaobanHmClerkRelation);

    /**
     * 新增数据
     *
     * @param tabHaobanHmClerkRelation 实例对象
     * @return 影响行数
     */
    int insert(TabHaobanHmClerkRelation tabHaobanHmClerkRelation);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanHmClerkRelation> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabHaobanHmClerkRelation> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanHmClerkRelation> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TabHaobanHmClerkRelation> entities);

    /**
     * 修改数据
     *
     * @param tabHaobanHmClerkRelation 实例对象
     * @return 影响行数
     */
    int update(TabHaobanHmClerkRelation tabHaobanHmClerkRelation);

    /**
     * 通过主键删除数据
     *
     * @param relationId 主键
     * @return 影响行数
     */
    int deleteById(Long relationId);

}

