package com.gic.haoban.manage.service.service.hm.impl;

import java.util.Date;
import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.UniqueIdUtils;
import com.gic.haoban.manage.api.dto.hm.HmLinkDTO;
import com.gic.haoban.manage.api.dto.hm.HmLinkStoreDTO;
import com.gic.haoban.manage.service.dao.mapper.hm.HmLinkMapper;
import com.gic.haoban.manage.service.entity.hm.TabHmLink;
import com.gic.haoban.manage.service.service.hm.HmLinkService;
import com.gic.haoban.manage.service.service.hm.HmLinkStoreService;

@Service("hmLikService")
public class HmLinkServiceImpl implements HmLinkService {

    @Autowired
    private HmLinkMapper linkMapper;

    @Autowired
    private HmLinkStoreService hmLinkStoreService;

    @Override
    public TabHmLink getByLinkId(Long linkId) {
        return this.linkMapper.selectById(linkId);
    }
    
    @Override
    public List<HmLinkDTO> listForSms(String wxEnterpriseId, String enterprieId) {
        // TODO Auto-generated method stub
        return null;
    }

    @Override
    @Transactional
    public HmLinkDTO saveLink(HmLinkDTO dto, List<HmLinkStoreDTO> storeList) {
        // 新增
        Long linkId = dto.getLinkId();
        if (null == linkId) {
            linkId = UniqueIdUtils.uniqueLong();
            dto.setLinkId(linkId);
            StringBuilder sb = new StringBuilder("LJ").append("0").append(dto.getLinkType()).append(linkId);
            dto.setLinkCode(sb.toString());
            dto.setStatusFlag(1);
            Date now = new Date();
            dto.setCreateTime(now);
            dto.setUpdateTime(now);
            TabHmLink entity = EntityUtil.changeEntityByJSON(TabHmLink.class, dto);
            this.linkMapper.insert(entity);
        } else {
            
        }
        this.hmLinkStoreService.saveStore(linkId, storeList);
        return dto;
    }

}
