package com.gic.haoban.manage.service.service.hm.impl;

import com.gic.haoban.manage.service.dao.mapper.hm.TabHaobanHmQrcodeMapper;
import com.gic.haoban.manage.service.entity.hm.TabHaobanHmQrcode;
import com.gic.haoban.manage.service.service.hm.TabHaobanHmQrcodeService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 活码(TabHaobanHmQrcode)表服务实现类
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
@Service("tabHaobanHmQrcodeService")
public class TabHaobanHmQrcodeServiceImpl implements TabHaobanHmQrcodeService {
    @Resource
    private TabHaobanHmQrcodeMapper tabHaobanHmQrcodeMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param hbId 主键
     * @return 实例对象
     */
    @Override
    public TabHaobanHmQrcode queryById(Long hbId) {
        return this.tabHaobanHmQrcodeMapper.queryById(hbId);
    }

    /**
     * 分页查询
     *
     * @param tabHaobanHmQrcode 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    public Page<TabHaobanHmQrcode> queryByPage(TabHaobanHmQrcode tabHaobanHmQrcode, PageRequest pageRequest) {
        long total = this.tabHaobanHmQrcodeMapper.count(tabHaobanHmQrcode);
        return new PageImpl<>(this.tabHaobanHmQrcodeMapper.queryAllByLimit(tabHaobanHmQrcode, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param tabHaobanHmQrcode 实例对象
     * @return 实例对象
     */
    @Override
    public TabHaobanHmQrcode insert(TabHaobanHmQrcode tabHaobanHmQrcode) {
        this.tabHaobanHmQrcodeMapper.insert(tabHaobanHmQrcode);
        return tabHaobanHmQrcode;
    }

    /**
     * 修改数据
     *
     * @param tabHaobanHmQrcode 实例对象
     * @return 实例对象
     */
    @Override
    public TabHaobanHmQrcode update(TabHaobanHmQrcode tabHaobanHmQrcode) {
        this.tabHaobanHmQrcodeMapper.update(tabHaobanHmQrcode);
        return this.queryById(tabHaobanHmQrcode.getHbId());
    }

    /**
     * 通过主键删除数据
     *
     * @param hbId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long hbId) {
        return this.tabHaobanHmQrcodeMapper.deleteById(hbId) > 0;
    }
}
