package com.gic.haoban.manage.service.service.impl;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.ToolUtil;
import com.gic.commons.util.UniqueIdUtils;
import com.gic.haoban.manage.api.dto.KeyDataDTO;
import com.gic.haoban.manage.api.enums.KeyDataEnum;
import com.gic.haoban.manage.service.dao.mapper.TabKeyDataMapper;
import com.gic.haoban.manage.service.entity.TabKeyData;
import com.gic.haoban.manage.service.service.KeyDataService;

@Service("keyDataService")
public class KeyDataServiceImpl implements KeyDataService {

    @Autowired
    private TabKeyDataMapper tabKeyDataMapper;

    @Override
    public KeyDataDTO saveData(String data, KeyDataEnum dataEnum) {
        KeyDataDTO dto = new KeyDataDTO();
        dto.setDataKey(ToolUtil.randomUUID());
        dto.setCreateTime(new Date());
        dto.setId(UniqueIdUtils.uniqueLong());
        dto.setData(data);
        dto.setType(dataEnum.getType());
        TabKeyData entity = EntityUtil.changeEntityByJSON(TabKeyData.class, dto);
        this.tabKeyDataMapper.insert(entity);
        return dto;
    }

    @Override
    public KeyDataDTO getDataByKey(String key, KeyDataEnum dataEnum) {
        TabKeyData tab = this.tabKeyDataMapper.selectByKey(key, dataEnum.getType());
        if (null != tab) {
            return EntityUtil.changeEntityByJSON(KeyDataDTO.class, tab);
        }
        return null;
    }

}
