import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.gic.haoban.manage.api.dto.hm.HmLinkDTO;
import com.gic.haoban.manage.api.dto.hm.HmLinkStoreDTO;
import com.gic.haoban.manage.api.enums.KeyDataEnum;
import com.gic.haoban.manage.api.service.KeyDataApiService;
import com.gic.haoban.manage.api.service.hm.HmLinkApiService;
import com.gic.haoban.manage.api.service.hm.HmLinkVisitLogApiService;
import com.gic.haoban.manage.service.service.hm.HmLinkStoreService;
import com.gic.haoban.manage.service.util.QwFriendLimitCountUtil;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = { "classpath:applicationContext-conf.xml" })
public class HmLinkTest {
    @Autowired
    private HmLinkApiService hmLinkApiService;
    
    @Autowired
    private HmLinkVisitLogApiService hmLinkVisitLogApiService ;
    
    @Autowired
    private KeyDataApiService  keyDataApiService ;
    
    @Autowired
    private HmLinkStoreService hmLinkStoreService ;
    
    
    @Test
    public void saveLinkStore() {
        HmLinkStoreDTO dto = new HmLinkStoreDTO() ;
        dto.setStoreName("11111");
        dto.setStoreId("1");
        List<HmLinkStoreDTO> list = new  ArrayList<HmLinkStoreDTO>();
        
        list.add(dto) ;
        
        HmLinkStoreDTO dto1 = new HmLinkStoreDTO() ;
        dto1.setStoreName("2222");
        dto1.setStoreId("2");
        list.add(dto1) ;
        
        
       this.hmLinkStoreService.saveStore(1000L, list) ;
    }
    
    
    @Test
    public void saveLink() {
        HmLinkDTO dto = new HmLinkDTO() ;
        dto.setLinkType(1);
        dto.setName("打的费");
        dto.setCreatorId("creatorid");
        dto.setCreatorName("创建人");
        dto.setModifierId("xiugren");
        dto.setModifierName("修改人");
        dto.setWxEnterpriseId("111");
        dto.setEnterpriseId("2222");
        dto.setRemark("说明");
        dto.setWelcomeId("欢迎语");
        dto.setPageId(1000l);
        dto.setCustomRuleJson("{}");
        dto.setStoreRuleJson("{}");
        dto.setMemberLabelId("MEML");
       this.hmLinkApiService.save(dto,null) ;
    }
    
    
    @Test
    public void test3() {
       this.keyDataApiService.saveData("15990160154", KeyDataEnum.MOBILE) ;
       
       System.out.println(
            this.keyDataApiService.getDataByKey("679f17d8c2e940a28dc484689c0339db", KeyDataEnum.MOBILE)); ;
    }
    
    @Test
    public void test2() {
       this.hmLinkVisitLogApiService.save("unionid",100L); 
    }
    
    @Test
    public void test0() {
        this.hmLinkApiService.getByLinkId(100L);
    }

    @Test
    public void test1() {
        System.out.println(QwFriendLimitCountUtil.getLimit(false));
    }

}
